#declare head=
union{
  sphere{<0,0.3,0>,0.75}
  sphere{<-0.3,0,0>,0.65 scale<0.7,1.25,1>}
  cone{<-0.3,0,0>,0,<-0.3,-0.2,0>,0.1}
  cylinder{<0,0,0>,<0.2,-0.8,0>,0.35}
  pigment{color Flesh}
}

#declare JuliaWatson = 
union{
  
  //body
  cone{<0,-0.1,0>,0.05,<-0.03,0.15,0>,0.1}
  cone{<-0.03,0.15,0>,0.1,<-0.03,0.28,0>,0}
  
  object{head translate<-0.3,3,0> scale 0.1}
  
  //hair
  intersection{
    sphere{<-0.03,0.3,0>,0.08}
    torus{0.4,0.32 rotate z*-20 translate<-0.03,0.31,0>}
    box{<-0.03,0.25,-0.8>,<0.07,0.4,0.8>}
    pigment {color Brown}  //hair
  }

  // the hat  (with feather)
  union{
    cylinder{<0,0,0>,<0,0.01,0>,0.14 pigment{color DarkPurple}} 
    cylinder{<0,0.01,0>,<0,0.03,0>,0.09 pigment{color White}}
    cylinder{<0,0.03,0>,<0,0.05,0>,0.09 pigment{color DarkPurple}}
    cone{<0.01,0.03,0.09>,0.01,<0.01,0.08,0.3>,0 pigment{color White}}
    rotate z*-20 
    translate<-0.03,0.357,0>
  }
  
  //left arm
  sphere{<-0.03,0.12,-0.1>,0.07 scale <0.8,1.32,0.8>}
  cylinder{<-0.03,0.12,-0.1>,<-0.05,-0.1,-0.2>,0.03}
  sphere{<-0.05,-0.1,-0.2>,0.03}
  cylinder{<-0.05,-0.1,-0.2>,<-0.15,-0.15,-0.2>,0.03}
  sphere{<-0.15,-0.15,-0.2>,0.025 pigment{color Flesh}}
  
  //right arm
  sphere{<0.03,0.12,0.1>,0.07 scale <0.8,1.32,0.8>}
  cylinder{<0.03,0.12,0.1>,<0.05,-0.1,0.2>,0.03}
  sphere{<0.05,-0.1,0.2>,0.03}
  cylinder{<0.05,-0.1,0.2>,<0.05,-0.15,0.2>,0.03}
  sphere{<0.05,-0.15,0.2>,0.025 pigment{color Flesh}}
  
  //parasol
  cone{<-0.15,-0.15,-0.2>,0.01<-0.25,-0.6,-0.25>,0 pigment{color Gray75}}
  cone{<-0.17,-0.35,-0.23>,0.05,<-0.25,-0.6,-0.25>,0 pigment{color ForestGreen}}
  
  //skirt
  object{
    Paraboloid_Y
    clipped_by{plane{y,6}}
    rotate z*180
    scale <0.1,0.1,0.2>
  }
  rotate y*20
  pigment{color DarkPurple}
  finish{ambient 0.7}
  scale 3.5
}

#declare SpikeJones=
union{
  object {head scale 0.35}
  
  //the hair
  intersection{
    cylinder {<0,0.1,-0.08>,<0,0.1,0.08>,0.5}
    box{<-0.25,0,-1>,<2,3,1>}
    pigment{color SpicyPink}
  }
  intersection{
    cylinder {<0,0.1,-0.081>,<0,0.1,0.081>,0.5}
    box{<0,0.25,-1>,<2,3,1>}
    pigment{color Green}
  }
  
  //the leather jacket
  union {
    cylinder{<0,-0.27,0>,<0,-0.17,0>,0.2}
    cylinder{<0,-0.4,-0.4>,<0,-0.4,0.4>,0.2  }
    box{<-0.2,-0.8,-0.3>,<0.2,-0.4,0.3>}    
    cylinder{<0,-0.8,-0.3>,<0,-0.4,-0.4>,0.2}
    cylinder{<0,-0.8,0.3>,<0,-0.4,0.4>,0.2}
    sphere{<0,-0.4,-0.4>,0.2}
    sphere{<0,-0.4,0.4>,0.2}
    cone{<0,-0.4,-0.4>,0.2,<-0.1,-0.9,-0.7>,0.09} //left arm
    cone{<0,-0.4,0.4>,0.2,<-0.1,-0.9,0.7>,0.09}  //right arm
    pigment{color Gray30} finish{Shiny}
  }
  rotate y*90
  scale 1.5
}
